import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (a, t, p, e) => {
  for (var r = e > 1 ? void 0 : e ? v(t, p) : t, s = a.length - 1, l; s >= 0; s--)
    (l = a[s]) && (r = (e ? l(t, p, r) : l(r)) || r);
  return e && r && m(t, p, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--laptopError", this.class = "c-pieIcon c-pieIcon--laptopError", this.name = "IconLaptopError";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--laptopError"><path d="m8.919 6.25.971-.963-.927-.927L8 5.305l-.962-.945-.928.927.945.963h.07l-1.015.962.928.928L8 7.195l.963.945.927-.928-.945-.962H8.92Z"></path><path d="M13.031 9.111V4.062a1.54 1.54 0 0 0-1.531-1.53h-7a1.54 1.54 0 0 0-1.531 1.53v5.05l-1.75 2.624v.201A1.54 1.54 0 0 0 2.75 13.47h10.5a1.54 1.54 0 0 0 1.531-1.531v-.202l-1.75-2.625Zm-8.75-5.049a.219.219 0 0 1 .219-.218h7a.219.219 0 0 1 .219.219v4.593H4.28V4.062Zm8.969 8.094H9.566l-.315-.717H6.75l-.315.717H2.75a.227.227 0 0 1-.175-.087l1.4-2.1h8.05l1.4 2.1a.228.228 0 0 1-.175.087Z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  f("icon-laptop-error")
], o);
export {
  o as IconLaptopError
};
